@echo off
:menu
cls
echo ============================
echo     Tachengeld Systeminfo und Reparatur Tool
echo ============================
echo 1. Anzeigen von IP-Konfiguration
echo 2. Anzeigen von Systeminformationen
echo 3. Anzeigen von Installierten Programmen
echo 4. Systemdateien Testen (sfc /scannow)
echo 5. Windows-Image reparieren (DISM)
echo 6. Windows-Problembehandlung starten
echo 7. Beenden
echo.
set /p choice=Was soll ich tun? 

if "%choice%"=="1" goto ipconfig
if "%choice%"=="2" goto systeminfo
if "%choice%"=="3" goto installed_programs
if "%choice%"=="4" goto run_sfc
if "%choice%"=="5" goto run_dism
if "%choice%"=="6" goto run_troubleshooter
if "%choice%"=="7" goto end

echo Ungültige Option. Bitte versuchen Sie es erneut.
pause
goto menu

:ipconfig
cls
ipconfig
pause
goto menu

:systeminfo
cls
echo Systeminformationen:
systeminfo

echo.
echo Grafikkarteninformationen:
wmic path win32_videocontroller get caption,description
pause
goto menu

:installed_programs
cls
wmic product get name,version
pause
goto menu

:run_sfc
cls
echo Führe System File Checker (sfc /scannow) aus...
sfc /scannow
pause
goto menu

:run_dism
cls
echo Führe Deployment Imaging Service (DISM) aus...
DISM /Online /Cleanup-Image /RestoreHealth
pause
goto menu

:run_troubleshooter
cls
echo Führe Windows-Problembehandlung aus...
msdt.exe /id MaintenanceDiagnostic
pause
goto menu

:end